﻿using IdentityServer.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace IdentityServer.Domain.Data.EntityTypeConfiguration
{
    class AppUserConfiguration : IEntityTypeConfiguration<AppUser>
    {
        public void Configure(EntityTypeBuilder<AppUser> builder)
        {
            builder.ToTable("AppUser").HasKey(key => key.UserId);
            builder.Property(z => z.UserId).ValueGeneratedOnAdd();
        }
    }
}
