if not exists (select top 1 1 from sys.objects where name = 'AppUser' and type = 'U')
begin
	create table AppUser
	(
		UserId int identity(0, 1) constraint PK_AppUser primary key,
		UserName varchar(100) not null,
		[Password] varchar(100) not null,
		CreationDate datetime constraint DF_AppUser_CreationDate default getdate()
	)
end
go

if not exists (select top 1 1 from AppUser)
begin
	insert into AppUser(UserName, [Password])
	select '***REMOVED***', '***REMOVED***'
end
go